Module javafx.controls
Package javafx.scene.control

# Enum TreeTableColumn.SortType

java.lang.Object
java.lang.Enum<TreeTableColumn.SortType>
javafx.scene.control.TreeTableColumn.SortType

All Implemented Interfaces:
  `Serializable`, `Comparable<TreeTableColumn.SortType>`, `Constable`

Enclosing class:
  TreeTableColumn<S,​T>

    public static enum TreeTableColumn.SortType
    extends Enum<TreeTableColumn.SortType>

Enumeration that specifies the type of sorting being applied to a specific column.

Since:
  JavaFX 8.0

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `ASCENDING` | Column will be sorted in an ascending order.
  `DESCENDING` | Column will be sorted in a descending order.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static TreeTableColumn.SortType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
  `static TreeTableColumn.SortType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ASCENDING

    public static final TreeTableColumn.SortType ASCENDING
    Column will be sorted in an ascending order.

  - ### DESCENDING

    public static final TreeTableColumn.SortType DESCENDING
    Column will be sorted in a descending order.

- ## Method Details

  - ### values

    public static TreeTableColumn.SortType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TreeTableColumn.SortType valueOf​(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null